wpX Speed の mariadb が古い…

2020-12-04 時点。

Extensionmysqli
Server version5.5.64-MariaDB
Client versionmysqlnd 7.4.4
wpX Speed

WooCommerce はかなり前から MySQL 5.6 以上を推奨しており、最近のバージョンでは古いバージョンの MariaDB (MySQL) がサポートしない機能を使用し始めている。しかし古いバージョンのデータベースサーバーを使用している場合でも、テーブルの作成に失敗したと報告され一部の機能が使用できないだけで済むようだ。

PHP は最新バージョンを含めた複数のバージョンに対応するレンタルサーバーが増えてきたが、MariaDB (MySQL) は保守的というか放置している業者が未だに多い。理解しがたい。

なお同じ会社のサービス XSERVER は MySQL 5.7 を明記しているなぜかクライアントライブラリは mariadb のもののようだが…

Extensionmysqli
Server version5.7.29
Client versionmysqlnd 7.4.4
XSERVER

コメントする

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です